---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ingress-api
spec:
  tls:
    - hosts:
        - "api.tictactotem.com"
        - "events.tictactotem.com"
      secretName: tictactotem-cert-tls
  rules:
    - host: "api.tictactotem.com"
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: api-service
                port:
                  name: rest-port
    - host: "events.tictactotem.com"
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: api-service
                port:
                  name: websocket-port
